Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Interface Retriever

All Superinterfaces:
  AVList, Callable<Retriever>, EventListener, PropertyChangeListener, WWObject

All Known Implementing Classes:
  HTTPRetriever, URLRetriever

    public interface Retriever

extends WWObject, Callable<Retriever>

Field Summary
`static String` | `RETRIEVER_STATE_CONNECTING`
`static String` | `RETRIEVER_STATE_ERROR`
`static String` | `RETRIEVER_STATE_INTERRUPTED`
`static String` | `RETRIEVER_STATE_NOT_STARTED`
`static String` | `RETRIEVER_STATE_READING`
`static String` | `RETRIEVER_STATE_STARTED`
`static String` | `RETRIEVER_STATE_SUCCESSFUL`

Method Summary
`long` | `getBeginTime()`
`ByteBuffer` | `getBuffer()`
`int` | `getContentLength()`
`int` | `getContentLengthRead()`
`String` | `getContentType()`
`long` | `getEndTime()`
`String` | `getName()`
`String` | `getState()`
`long` | `getSubmitTime()`
`void` | `setBeginTime(long beginTime)`
`void` | `setEndTime(long endTime)`
`void` | `setSubmitTime(long submitTime)`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Methods inherited from interface java.util.concurrent.Callable
`call`

Field Detail

### RETRIEVER_STATE_CONNECTING

    static final String RETRIEVER_STATE_CONNECTING

See Also:
  Constant Field Values

### RETRIEVER_STATE_ERROR

    static final String RETRIEVER_STATE_ERROR

See Also:
  Constant Field Values

### RETRIEVER_STATE_INTERRUPTED

    static final String RETRIEVER_STATE_INTERRUPTED

See Also:
  Constant Field Values

### RETRIEVER_STATE_NOT_STARTED

    static final String RETRIEVER_STATE_NOT_STARTED

See Also:
  Constant Field Values

### RETRIEVER_STATE_READING

    static final String RETRIEVER_STATE_READING

See Also:
  Constant Field Values

### RETRIEVER_STATE_STARTED

    static final String RETRIEVER_STATE_STARTED

See Also:
  Constant Field Values

### RETRIEVER_STATE_SUCCESSFUL

    static final String RETRIEVER_STATE_SUCCESSFUL

See Also:
  Constant Field Values

Method Detail

### getBeginTime

    long getBeginTime()

### getBuffer

    ByteBuffer getBuffer()

### getContentLength

    int getContentLength()

### getContentLengthRead

    int getContentLengthRead()

### getContentType

    String getContentType()

### getEndTime

    long getEndTime()

### getName

    String getName()

### getState

    String getState()

### getSubmitTime

    long getSubmitTime()

### setBeginTime

    void setBeginTime(long beginTime)

### setEndTime

    void setEndTime(long endTime)

### setSubmitTime

    void setSubmitTime(long submitTime)

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD